summaryrefslogtreecommitdiffstats
path: root/audio/qsynth
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-13 00:57:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:31 +0200
commit69d95f93fadaeb6e549af931d60eb19840b5be80 (patch)
treed6184d655f24693a4b663358564e8171767bd98b /audio/qsynth
parent1f7e9927e4bb1567554f752684760d90d24d6222 (diff)
downloadslackbuilds-69d95f93fadaeb6e549af931d60eb19840b5be80.tar.gz
slackbuilds-69d95f93fadaeb6e549af931d60eb19840b5be80.tar.xz
audio/qsynth: Added to 13.0 repository
Diffstat (limited to 'audio/qsynth')
-rw-r--r--audio/qsynth/README7
-rw-r--r--audio/qsynth/doinst.sh4
-rw-r--r--audio/qsynth/qsynth.SlackBuild74
-rw-r--r--audio/qsynth/qsynth.info10
-rw-r--r--audio/qsynth/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/audio/qsynth/README b/audio/qsynth/README
new file mode 100644
index 0000000000..eaa3a50150
--- /dev/null
+++ b/audio/qsynth/README
@@ -0,0 +1,7 @@
+Qsynth is a fluidsynth GUI front-end application written in C++
+around the Qt4 toolkit using Qt Designer. Eventually it may evolve
+into a softsynth management application allowing the user to control
+and manage a variety of command line softsynths but for the moment
+it wraps the excellent FluidSynth (http://www.fluidsynth.org)
+
+This requires fluidsynth.
diff --git a/audio/qsynth/doinst.sh b/audio/qsynth/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/qsynth/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/qsynth/qsynth.SlackBuild b/audio/qsynth/qsynth.SlackBuild
new file mode 100644
index 0000000000..c38a6c8e0e
--- /dev/null
+++ b/audio/qsynth/qsynth.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for <qsynth>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=qsynth
+VERSION=${VERSION:-0.3.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL TODO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/qsynth/qsynth.info b/audio/qsynth/qsynth.info
new file mode 100644
index 0000000000..97f4f951f5
--- /dev/null
+++ b/audio/qsynth/qsynth.info
@@ -0,0 +1,10 @@
+PRGNAM="qsynth"
+VERSION="0.3.4"
+HOMEPAGE="http://qsynth.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/qsynth/qsynth-0.3.4.tar.gz"
+MD5SUM="800ab77b59c947bd8f1c8bb10545a59d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/qsynth/slack-desc b/audio/qsynth/slack-desc
new file mode 100644
index 0000000000..471b6e8a97
--- /dev/null
+++ b/audio/qsynth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qsynth: qsynth (GUI Frontend for Fluidsynth)
+qsynth:
+qsynth: Qsynth is a fluidsynth GUI front-end application written in C++
+qsynth: around the Qt4 toolkit using Qt Designer. Eventually, it may evolve
+qsynth: into a softsynth management application allowing the user to control
+qsynth: and manage a variety of command line softsynths, but for the moment,
+qsynth: it wraps the excellent FluidSynth <http://www.fluidsynth.org>
+qsynth:
+qsynth:
+qsynth:
+qsynth: